cURL
curl --request POST \
--url https://api.invopop.com/apps/at-pt/v1/entry/{silo_entry_id}/credentials \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"username": "599999993/37",
"password": "MySecretPassword123"
}
'import requests
url = "https://api.invopop.com/apps/at-pt/v1/entry/{silo_entry_id}/credentials"
payload = {
"username": "599999993/37",
"password": "MySecretPassword123"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({username: '599999993/37', password: 'MySecretPassword123'})
};
fetch('https://api.invopop.com/apps/at-pt/v1/entry/{silo_entry_id}/credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}AT Portugal
Set AT credentials
Set or update the AT web services credentials for a given supplier.
POST
/
apps
/
at-pt
/
v1
/
entry
/
{silo_entry_id}
/
credentials
cURL
This endpoint allows to set or update the AT web services credentials for a supplier. Credentials are validated against the AT Series web service before being stored to ensure they are correct and active. These credentials are necessary to register series and send documents to the AT via web services.
Authorizations
Use the Bearer scheme with a valid JWT token to authenticate requests.
Example: Authorization: Bearer <token>
Path Parameters
Silo entry ID of the supplier to set the credentials for.
Example:
"347c5b04-cde2-11ed-afa1-0242ac120002"
Body
application/json
Response
Credentials updated successfully.
Was this page helpful?
⌘I